Page MenuHomePhabricator

Make Special:MediaStatistics show a total count of file sizes
Closed, ResolvedPublic

Description

[14:00] <legoktm> bawolff: oh, would it be possible to add a total count of file sizes to https://commons.wikimedia.org/wiki/Special:MediaStatistics ?

Ideally we would have totals for each individual media section, and then an overall total of all files.

Event Timeline

Bawolff created this task.Nov 3 2015, 9:55 PM
Bawolff raised the priority of this task from to Needs Triage.
Bawolff updated the task description. (Show Details)
Bawolff added a subscriber: Bawolff.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 3 2015, 9:55 PM

Sounds like a Google-Code-In 2015 task? I would be happy to mentor it :)

To make the task description more clear: The total size of _all_ files is requested, right? :)

Aklapper renamed this task from Make Special:MediaStatistics show a total to Make Special:MediaStatistics show a total count of file sizes.Dec 17 2015, 12:09 PM
Aklapper set Security to None.

To make the task description more clear: The total size of _all_ files is requested, right? :)

Ideally we would have totals for each individual media section, and then an overall total of all files.

Florian updated the task description. (Show Details)Dec 17 2015, 10:51 PM

Change 260182 had a related patch set uploaded (by PranavK):
Make Special:MediaStatistics show a total count of file sizes

https://gerrit.wikimedia.org/r/260182

Change 260183 had a related patch set uploaded (by PranavK):
Make Special:MediaStatistics show a total count of file sizes

https://gerrit.wikimedia.org/r/260183

Change 260182 abandoned by Reedy:
Make Special:MediaStatistics show a total count of file size

Reason:
Replaced by https://gerrit.wikimedia.org/r/#/c/260183/

https://gerrit.wikimedia.org/r/260182

Florian closed this task as Resolved.Dec 22 2015, 1:38 PM
Florian claimed this task.

Change 260183 merged by jenkins-bot:
Make Special:MediaStatistics show a total count of file sizes

https://gerrit.wikimedia.org/r/260183